package com.hfkj.service.item;

import com.hfkj.entity.EnTransportCompanyCar;

import java.util.List;
import java.util.Map;

public interface EnTransportCompanyCarService {

    /**
     * @MethodName create
     * @Description:新增
     * @param enTransportCompanyCar
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午5:17
     */
    void create(EnTransportCompanyCar enTransportCompanyCar) throws Exception;

    /**
     * @MethodName update
     * @Description:修改
     * @param enTransportCompanyCar
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    void update(EnTransportCompanyCar enTransportCompanyCar);

    /**
     * @MethodName delete
     * @Description:删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.EnTransportCompanyCar
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    EnTransportCompanyCar queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description:根据多条件查询详情
     * @param map
     * @return: com.hfkj.entity.EnTransportCompanyCar
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    EnTransportCompanyCar queryDetailByMap(Map<String , Object> map);


    /**
     * @MethodName getList
     * @Description:查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.EnTransportCompanyCar>
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    List<EnTransportCompanyCar> getList(Map<String , Object> map);

}
